#delimit ;
version 4.0;

capture program drop tutor;
program define tutor;
*
*  Attempts to set up the tutorial given as the argument.
*;
version 4.0;
cap macro drop title1 title2 title3 title4 title5 title6 title7 title8
                title9 title10;
 cap drop _all; 
 gl class = "Econ 351A";
 gl univ  = "Queen's University";
 gl logon = 0;
 gl zzsteps = 0;
 gl zzstep = 1;
gl zztn = "`1'";
while "$zztn"=="" {;
    inprompt  "What is the name of the tutorial you want to run";
    gl zztn = "$junk";
     };
 cap $zztn;
 if _rc!=0 {
      di in r
     "I can't find the steps in the $zztn tutorial. The file" _n
     "called $zztn.ado must be in your ado directory." _n
     "get week1.do and re-run this tutorial." _n(2)
     "Exiting tutorial program ...";
     exit;
     };
set more 1;
di in y
"  Welcome to ......   " _n(2) _col(10) in y
"   ------------------------------------------------------  " _n(2) _col(10) in b
"   ---------  .       .  ---------  .-------.  .-----.     " _n _col(10)
"       |      |       |      |      |       |  |     |     " _n _col(10)
"       |      |       |      |      |       |  |-----\     " _n _col(10)
"       |      |_______|      |      |_______|  |       \   " _n _col(10)
"                                                           " _n _col(10) in y
"   ------------------------------------------------------  " _n _col(10)
_n(2) _col(10) in y
"    A set of programs and interactive tutorials  " _n _col(10)
"    in econometrics written and developed by " _n _col(10) in w
"            Chris Ferrall                " _n _col(10)
"            Department of Economics      " _n _col(10)
"            Queen's University           " _n _col(10)
"            ferrall@qed.econ.queensu.ca  " _n(2) in y
"    You are running tutor for version 4.0, Fall 1996 ";
gl id = 0;
gl sname = " ";
inprompt "Enter your $class number";
if "$junk"!="" {;gl id = "$junk";};
inprompt "Enter your name";
gl sname = "$junk";
gl zzln =  "${zztn}_$id.log";
di in b "Press any key to continue";
set more 8;
more;
set more 0;
   intro;
   inprompt "Do you want to see a list of tutor commands (y/n)";
   if "$junk"=="y" | "$junk"=="Y" {;
       help tutor;
       refresh;
       };
   inprompt "Do you want to record screen output in a file (y/n)?";
   if "$junk"=="y" | "$junk"=="Y" {;
      gl logon = 1;
      cap log using $zzln, replace;
      di in y
"Your tutorial session will be recorded in a file called " in w "$zzln" _n
in y
   "in your working directory.  When you exit Stata you can look at the file,"_n
   "edit it, print it out, or copy it to a floppy diskette.";
   };
   else {;
      gl logon = 0;
      };
   prompt "when ready to go to step 1";
   donext;
end;

