#delimit ;
capture program drop tprt;
program define tprt;
version 4.0;
local df = `1';
local dft = "`df'";
if `df' > 299 {; local dft = "inf" };
di in b  "`dft'"   _col(11) _cont;
local tprtx = "di in w %12.3f invt(\$_df,1-\$_twotail) _cont";
local twotail = 0.2;  `tprtx';
local twotail = 0.1; `tprtx';
local twotail = 0.05; `tprtx';
local twotail = 0.02;  `tprtx';
local twotail = 0.005; `tprtx';
di;
end;
capture program drop ttable;
program define ttable;
version 4.0;
di in b "      Table of Critical Values for " in w "Student's t Distribution";
di in b "The " in g "upper " in b "probability should be used for " in g "one-tailed " in b "tests";
di in b "The " in y "lower " in b "probability should be used for " in y "two-tailed " in b "tests";
di in b
"Example: with " in w "10 degrees of freedom, Prob( |t| > " %5.3f invt(10,0.9) ") = 0.1";
di in b _d(72) "-";
di in b "degrees of"
in g _col(11) %12.4f 0.1 %12.4f 0.05 %12.4f 0.025 %12.4f 0.01 %12.4f 0.0025;
di in b "freedom" 
in y _col(11) %12.4f 0.2 %12.4f 0.1 %12.4f 0.05 %12.4f 0.02 %12.4f 0.005;
di in b _d(72) "-";
local i = 1;
while `i' <= 10 {;
      tprt `i';
      local i = `i' + 1;
      };
local i = 12;
while `i' <= 20 {;
      tprt `i';
      local i = `i' + 2;
      };
di in b _d(72) "-";
di in b "degrees of"
in g _col(11) %12.4f 0.2 %12.4f 0.1 %12.4f 0.05 %12.4f 0.02 %12.4f 0.005;
di in b "freedom" 
in y _col(11) %12.4f 0.1 %12.4f 0.05 %12.4f 0.025 %12.4f 0.01 %12.4f 0.0025;
di in b _d(72) "-";
tprt 25;
tprt 30;
tprt 40;
tprt 50;
tprt 60;
tprt 100;
tprt 300;
di in b _d(72) "-";
di in b "Get these values by typing " in w "invt(df,1-twotail)" in b "where " 
in w "df = degrees of freedom " in b "and " _n in w "twotail = two-tailed probability. "
_n in b 
"Example: for a one-tailed test at significance level=0.05 with df=10 type" _n 
_col(15) in w "di invt(10,1-0.05*2)";
end;
