#delimit ;
capture program drop ztable;
program define ztable;
version 4.0;
di in b 
"Table of Probabilities for " in w "Z " in b "(Standard Normal Distribution)";
di in b "Example: Prob(0<=Z<="in g "1.2" in y "5" in b") = " in r %5.4f normprob(1.25)-0.5;
di in b _d(75) "-";
di in b " z " _cont;
local i = 0;
while `i' < 10 {; di in y %7.2f `i'/100 _cont; local i = `i'+ 1; }; 
di;
di in b _d(75) "-";

local j = 0;
while `j' <= 20 {;
  di in g %3.2f `j'/10 _cont;
  local i = 0;
  while `i' < 10 {; 
        if (`j'!=12) | (`i'!=5) {;
           di in w %7.4f normprob(`j'/10+`i'/100)-0.5 _cont; 
           };
        else {;
           di in r %7.4f normprob(`j'/10+`i'/100)-0.5 _cont; 
           };
        local i = `i'+1; }; 
  di;
  local j = `j' + 1;
  };

di in b _d(75) "-";
di in b " z " _cont;
local i = 0;
while `i' < 10 {; di in y %7.2f `i'/100 _cont; local i = `i'+1; }; 
di;
di in b _d(75) "-";
while `j' <= 30 {;
  di in g %3.2f `j'/10 _cont;  
  local i = 0;
  while `i' < 10 {; 
        di in w %7.4f normprob(`j'/10+`i'/100)-0.5 _cont; 
        local i = `i'+1; }; 
  di;
  local j = `j' + 1;
  };
di in b _d(75) "-";
di in b "You get these critical values by using " in w "normprob(z)";
di in b "Example: to get " in g "Prob(0<=Z<=1.96) " in b " type " in w _n _col(15)
        "di normprob(1.96)-0.5";
end;

